import { useTranslation } from 'react-i18next';

import SelectionCriteriaCard from '@composed-components/audience/SelectionCriteriaCard';
import { IconUsers } from '@tabler/icons-react';

import { type IndividualCriteriaCardProps } from './types';

const IndividualCriteriaCard = ({
  sx,
  ...props
}: IndividualCriteriaCardProps) => {
  const { t } = useTranslation('material_hu_only');

  return (
    <SelectionCriteriaCard
      {...props}
      Icon={IconUsers}
      title={t('audience.specific_collaborators_title')}
      description={t('audience.specific_collaborators_description')}
      sx={{ animationDelay: `25ms`, ...sx }}
    />
  );
};

export default IndividualCriteriaCard;
